# Uses of Class
org.apache.sysds.hops.MemoTable

Packages that use MemoTable
Package
Description
org.apache.sysds.hops
org.apache.sysds.hops.rewrite

## Uses of MemoTable in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type MemoTable
Modifier and Type
Method
Description
`void`
AggBinaryOp.`computeMemEstimate(MemoTable memo)`
`void`
FunctionOp.`computeMemEstimate(MemoTable memo)`
`void`
Hop.`computeMemEstimate(MemoTable memo)`
Computes the estimate of memory required to store the input/output of this hop in memory.
`void`
IndexingOp.`computeMemEstimate(MemoTable memo)`
`void`
LeftIndexingOp.`computeMemEstimate(MemoTable memo)`
`void`
NaryOp.`computeMemEstimate(MemoTable memo)`
`void`
ParameterizedBuiltinOp.`computeMemEstimate(MemoTable memo)`
`void`
ReorgOp.`computeMemEstimate(MemoTable memo)`
`void`
UnaryOp.`computeMemEstimate(MemoTable memo)`
`void`
Hop.`refreshMemEstimates(MemoTable memo)`
Recursively computes memory estimates for all the Hops in the DAG rooted at the current hop pointed by `this`.

## Uses of MemoTable in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type MemoTable
Modifier and Type
Method
Description
`static void`
HopRewriteUtils.`updateHopCharacteristics(Hop hop, int blen, MemoTable memo, Hop src)`